<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Documento sin título</title>
<script type="text/javascript">

function letra() {
         lista = document.tipoTexto.fuente;
         elegido = lista.selectedIndex;
         opcion = lista.options[elegido];
         fuente = opcion.value;
         texto = opcion.text;
         document.body.style.fontFamily = fuente;
         escribe = document.getElementById("texto");
         escribe.innerHTML = texto;
         }

</script>

</head>

<body>
<form name="tipoTexto" action="#" >
<h2>Elige el tipo de letra y luego pulsa el botón para cambiarla</h2>
<select name="fuente" id="fuente" >
   <option value="arial">Arial</option>
   <option value="times new roman">Times New Roman</option>
   <option value="comic sans ms">Comic Sans MS</option>
   <option value="courier new">Courier New</option>
   <option value="verdana">Verdana</option>
   <option value="garamond">Garamond</option>
</select><br/><br/>
<input type="button" name="pulsar" onclick="letra()" 
    value="Cambiar tipo de letra" />
</form>

<p >Este es el tipo de letra elegido que ves ahora en la página</p>
<h3 id="texto">Aún no has elegido ninguno, se muestra el tipo de 
    letra por defecto</h3>


</body>
</html>
